<!DOCTYPE html>
<html lang="">
<head>
    <title>Entities List Page</title>
</head>
<body>
<h1>Лента</h1>
<ul>
    <li>
        <a href="{{ url_for('st0728.loadFeed') }}">Импортировать ленту</a>
    </li>

    <li>
        <a href="{{ url_for('st0728.saveFeed') }}">Экспортировать ленту</a>
    </li>

    <li>
        <a href="{{ url_for('st0728.clearFeed') }}">Очистить ленту</a>
    </li>
</ul>
{% for item in feed %}
    <div>Тип публикации: {{ item.get_type() }}</div>
    <div>Заголовок: {{ item.get_title() }}</div>
    <div>Содержание: {{ item.get_text() }}</div>

    {% if item|attr('get_author') %}
        <div>Автор: {{ item.get_author() }}</div>
    {% endif %}

    {% if item|attr('get_source') %}
        <div>Источник: {{ item.get_source() }}</div>
    {% endif %}

     {% if item|attr('get_published_at') %}
        <div>Дата публикации: {{ item.get_published_at() }}</div>
    {% endif %}

    {% if item|attr('get_out_date') %}
        <div>Ожидаемая дата выхода: {{ item.get_out_date() }}</div>
    {% endif %}

    <a href="{{ url_for('st0728.editForm', id=item.get_id()) }}">Edit</a>
    <a href="{{ url_for('st0728.deleteItem', id=item.get_id()) }}">Delete</a>
<br><br>
{% endfor %}
<ul>
    <li>
        <a href="{{ url_for('st0728.actionForm', type='news') }}">Опубликовать новость</a>
    </li>

    <li>
        <a href="{{ url_for('st0728.actionForm', type='article') }}">Опубликовать статью</a>
    </li>

    <li>
        <a href="{{ url_for('st0728.actionForm', type='announcement') }}">Опубликовать анонс</a>
    </li>
</ul>
</body>
</html>
